package edu.sdsc.sirius.dialogs;

import edu.sdsc.mbt.*;

public class HydrogenEvent implements DisplayDialogEvent {

	//this is a wrapper class for the information gathered by RenderingDialog
	//to be passed to the StructureViewer and do the rendering
	private DisplayDialog parent = null;
	
	public int setFlag;
	
	public int phFlag;
	public String componentId;
	
	public StructureComponent structureComponent;
	
	public float pH;
	

	public HydrogenEvent(DisplayDialog d){
		parent = d;
	}

	public DisplayDialog getSource(){
		return parent;
	}
	
	public int getSetFlag(){
		return setFlag;
	}
	
}
